# PLDAPStructBase Class Reference

`#include <pldap.h>`

Inheritance diagram for PLDAPStructBase:

List of all members.

## Public Member Functions

void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.
PINDEX | GetNumAttributes () const
PLDAPAttributeBase & | GetAttribute (PINDEX idx) const
PLDAPAttributeBase * | GetAttribute (const char *name) const
void | AddAttribute (PLDAPAttributeBase *var)

## Static Public Member Functions

static PLDAPStructBase & | GetInitialiser ()

## Protected Member Functions

| PLDAPStructBase ()
PLDAPStructBase & | operator= (const PLDAPStructBase &)
PLDAPStructBase & | operator= (const PStringArray &array)
PLDAPStructBase & | operator= (const PStringToString &dict)
void | EndConstructor ()

## Protected Attributes

PDictionary< PString, PLDAPAttributeBase > | attributes
PLDAPStructBase * | initialiserStack

## Static Protected Attributes

static PMutex | initialiserMutex
static PLDAPStructBase * | initialiserInstance

## Constructor & Destructor Documentation

PLDAPStructBase::PLDAPStructBase | ( |  | ) | `[protected]`

## Member Function Documentation

void PLDAPStructBase::AddAttribute | ( | PLDAPAttributeBase * | var | ) |

void PLDAPStructBase::EndConstructor | ( |  | ) | `[protected]`

PLDAPAttributeBase* PLDAPStructBase::GetAttribute | ( | const char * | name | ) | const`[inline]`

PLDAPAttributeBase& PLDAPStructBase::GetAttribute | ( | PINDEX | idx | ) | const`[inline]`

static PLDAPStructBase& PLDAPStructBase::GetInitialiser | ( |  | ) | `[inline, static]`

PINDEX PLDAPStructBase::GetNumAttributes | ( |  | ) | const`[inline]`

PLDAPStructBase& PLDAPStructBase::operator= | ( | const PStringToString & | dict | ) | `[protected]`

PLDAPStructBase& PLDAPStructBase::operator= | ( | const PStringArray & | array | ) | `[protected]`

PLDAPStructBase& PLDAPStructBase::operator= | ( | const PLDAPStructBase & |  | ) | `[protected]`

void PLDAPStructBase::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

## Member Data Documentation

PDictionary<PString, PLDAPAttributeBase> PLDAPStructBase::attributes `[protected]`

PLDAPStructBase* PLDAPStructBase::initialiserInstance `[static, protected]`

PMutex PLDAPStructBase::initialiserMutex `[static, protected]`

PLDAPStructBase* PLDAPStructBase::initialiserStack `[protected]`

The documentation for this class was generated from the following file:

- pldap.h